rbptree.h(3)

NAME
rbptree.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <stdarg.h>

  Classes
struct cc_rbptree

  Typedefs
typedef struct cc_rbptree_node cc_rbptree_node
typedef struct cc_rbptree cc_rbptree
typedef void cc_rbptree_traversecb(void *p, void *data, void *closure)

  Functions
void cc_rbptree_init (cc_rbptree *t)
void cc_rbptree_clean (cc_rbptree *t)
void cc_rbptree_insert (cc_rbptree *t, void *p, void *data)
SbBool cc_rbptree_remove (cc_rbptree *t, void *p)
uint32_t cc_rbptree_size (const cc_rbptree *t)
void cc_rbptree_traverse (const cc_rbptree *t, cc_rbptree_traversecb *func, void *closure)
void cc_rbptree_debug (const cc_rbptree *t)

Typedef Documentation

  struct cc_rbptree_node cc_rbptree_node
The type definition for the rbptree node structure.

  struct cc_rbptree cc_rbptree
The type definition for the whole rbptree structure.

  void cc_rbptree_traversecb
The type definition for a tree traversal callback function.

Function Documentation

  void cc_rbptree_init (cc_rbptree * t)
Initialize t. This is needed before making any operations on the tree.

  void cc_rbptree_clean (cc_rbptree * t)
Delete all nodes in t. After this call, the tree will be reinitialized to an empty tree.

  void cc_rbptree_insert (cc_rbptree * t, void * p, void * data)
Insert a new value p into t.

  SbBool cc_rbptree_remove (cc_rbptree * t, void * p)
Remove the (first) node with value p. Returns TRUE if p is found and removed, FALSE otherwise.

  uint32_t cc_rbptree_size (const cc_rbptree * t)
Returns the total numbers of items in the tree

  void cc_rbptree_traverse (const cc_rbptree * t, cc_rbptree_traversecb * func, void * closure)
Traverse the tree t

  void cc_rbptree_debug (const cc_rbptree * t)
for debugging only. Prints the tree to stdout.

Author

Generated automatically by Doxygen for Coin from the source code.